package com.qmth.teachcloud.exchange.common.config;

import com.qmth.teachcloud.exchange.common.domain.FssPrivateDomain;
import com.qmth.teachcloud.exchange.common.domain.FssPublicDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.public", ignoreUnknownFields = false)
    public FssPublicDomain fssPublicDomain() {
        return new FssPublicDomain();
    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.private", ignoreUnknownFields = false)
    public FssPrivateDomain fssPrivateDomain() {
        return new FssPrivateDomain();
    }
}
